Endpoint per il consumo giornaliero
curl --request GET \
--url https://api.devin.ai/v2/enterprise/consumption/daily \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v2/enterprise/consumption/daily"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v2/enterprise/consumption/daily', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"consumption_by_date": {},
"consumption_by_org_id": {},
"total_acus": 123,
"consumption_by_user": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Endpoint del consumo
Consumo giornaliero
Restituisce il consumo giornaliero per il ciclo di fatturazione in corso
GET
/
v2
/
enterprise
/
consumption
/
daily
Endpoint per il consumo giornaliero
L’API di consumo è disponibile solo per gli account con piano Enterprise. I Teams e le organizzazioni self-serve
ricevono una risposta
403; non esiste alcun toggle per singolo account che il supporto possa abilitare.Comportamento del fuso orario
curl "https://api.devin.ai/v2/enterprise/consumption/daily?start_date=2025-12-05T08:00:00Z&end_date=2026-01-05T08:00:00Z" \
-H "Authorization: Bearer YOUR_API_KEY"
T08:00:00Z (ad esempio 2025-12-05), l’API utilizzerà la mezzanotte UTC, il che potrebbe comportare totali di consumo leggermente diversi rispetto alla dashboard.
Filtraggio per organizzazione
org_ids, i risultati includono tutte le ACU attribuite alle organizzazioni specificate: sia le ACU delle sessioni Devin sia quelle di Devin Desktop e Devin CLI, attribuite all’organizzazione di fatturazione principale di ciascun utente. Per informazioni su come viene determinata l’organizzazione di fatturazione principale di un utente, consulta Controlli di Local Agent.Autorizzazioni
API key personale (apk_user_*) riservata agli amministratori Enterprise

